#!/bin/sh

find . -name "*.h" | sort | \
grep -v intl | grep -v common/spec | grep -v "Freeciv.h" | \
grep -v ./common/packets_gen.h >files

echo "# Header files without any guard:"
cat files | while read line
do
    grep "^#ifndef FC_.*_H$" $line >/dev/null || grep ifndef $line >/dev/null|| echo $line
done

echo
echo "# Header files with a misnamed guard (doesn't match 'FC_.*_H'):"
cat files | while read line
do
    grep "^#ifndef FC_.*_H$" $line >/dev/null || \
	(grep ifndef $line >/dev/null && grep ifndef $line /dev/null|head -n1)
done
rm files
