#!/usr/bin/env python

import re, string, os, sys

def strip_c_comment(s):
  # The obvious way:
  #    s=re.sub(r"/\*(.|\n)*?\*/","",s)
  # doesn't work with python version 2.2 and 2.3.
  # Do it by hand then.
  result=""
  for i in filter(lambda x:string.strip(x),string.split(s,"/*")):
      l=string.split(i,"*/",1)
      assert len(l)==2,repr(i)
      result=result+l[1]
  return result  

def main():
    content=sys.stdin.read()
    content=strip_c_comment(content)
    lines=string.split(content,"\n")
    lines=map(lambda x: re.sub("//.*$","",x),lines)
    print string.join(lines,"\n")

main()
