#!/bin/sh

echo "# Reports .c-files which use va_list but doesn't include stdarg.h"

find . -name "*.c" | sort | \
grep -v intl | \
while read line; do 
  ( ! ( grep '^#include.*<stdarg.h>' $line >/dev/null && ! \
   grep 'va_list' $line >/dev/null ) ) || echo "$line"; 
done
